require 'test_helper'

class QuickyBenchmarkTest < Test::Unit::TestCase
  
  def test_fixnum
    assert_equal 100, 1.hundred
    assert_equal 1_000, 1.thousand
    assert_equal 1_000_000, 1.million
    assert_equal 1_000_000_000, 1.billion
  end
  
  def test_iterations_given
    assert_equal 12, QuickBenchmark.iterations_given(12)
    assert_equal 15, QuickBenchmark.iterations_given(15.times)
  end
  
  def test_time
    do_end = QuickBenchmark.time :testing do 
      "With do end" 
    end
    assert_equal "testing", do_end.first.label
    assert_equal "With do end", do_end.last.method.call
  end
  
  def test_benchmark
    val = benchmark 1.times do 
      time(:cool) { puts 'hey' } 
    end
    assert_equal Benchmark::Tms, val.first.class
  end

end
